
cd "$input"

************** - Choose Method for BHC to Commercial Bank Mapping - *******************

*RESTRICTED METHOD
if "$method"=="RESTRICTED" {
	local query "select id_rssd, fin_hh_id,dt_start, dt_end, fin_hh_pct from cuv_derived_items"
	odbc load, exec("`query'") clear dsn("mssnarips.frb.gov")
	rename fin_hh_id id_rssd_bhc
}
*UNRESTRICTED METHOD
if "$method"=="UNRESTRICTED" {
	local query "select id_rssd, id_rssd_bhc, dt_start, dt_end from cuv_bank_holder"
	odbc load, exec("`query'") clear dsn("mssnarips.frb.gov")
}

cd "$temp/other"
save raw_mapping.dta, replace

************** - Creating Y-9C and FFEIC Databases - ******************************

*****************************************************
* Get list of series and tables to pull and execute *
*****************************************************

cd "$input"
import excel using series_to_tables.xlsx, first clear

cd "$temp"
*sql commands
forval i = 1/152 {
	preserve

	local series_id 	= RequestedCodes[`i']
	local table_id 		= CorrespondingTables[`i']
	local label_id 		= Notes[`i']
	di "`series_id'"
	di "`table_id'"
	
	local query "select id_rssd,d_dt,`series_id' from `table_id'"

	odbc load, exec("`query'") clear dsn("mssnarips.frb.gov")

	label var `series_id' "`label_id'"
	
	save `series_id'.dta, replace
	
	restore
}

*************************
* Merge the pulled data *
*************************

cd "$temp"

local filelist: dir . files "R*.dta"
di `filelist'

local i = 1
foreach file in `filelist' {
	di "`file'"
	if `i'==1 {
		use `file', clear 
		}
	else {
		merge 1:1 id_rssd d_dt using `file'
		drop _merge
		}
	local i = `i'+1
}

cd "$output"
save call_data.dta, replace

cd "$temp"

local filelist: dir . files "B*.dta"
di `filelist'

local i = 1
foreach file in `filelist' {
	di "`file'"
	if `i'==1 {
		use `file', clear 
		}
	else {
		merge 1:1 id_rssd d_dt using `file'
		drop _merge
		}
	local i = `i'+1
}

rename id_rssd id_rssd_bhc

cd "$output"
save bhc_data.dta, replace
